Bug 436241 - ferror requires absolute path to executable; doesn't use PATH
ferror requires absolute path to executable; doesn't use PATH
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: frysk (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Andrew Cagney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-05 21:26 EST by Dave Malcolm
Modified: 2008-04-07 14:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 14:22:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 5849 None None None Never

  None (edit)
Description Dave Malcolm 2008-03-05 21:26:40 EST
Description of problem:
ferror requires absolute path to executable; doesn't use PATH

Following example from ferror man page:
EXAMPLE
           ferror -e "No such file or directory" -- ls fake

and omitting the path, it fails to find the executable, this is:
[david@brick ~]$ ferror -e "No such file or directory" -- ls fake
Error: open: No such file or directory (file /home/david/ls)

Specifying full path to exe works:
[david@brick ~]$ ferror -e "No such file or directory" -- /bin/ls fake
Tracing 7233.7233

Tool would be much more usable if it looked in PATH, allowing you to omit the
absolute location of the exe.  As it is, the example in the manpage fails.

Version-Release number of selected component (if applicable):
frysk-0.0.1.2008.02.29.rh1-1.fc8

How reproducible:
100%
Comment 1 Andrew Cagney 2008-04-07 14:22:33 EDT
My fix:

$ ferror -- ls loop.c
Tracing 2485.2485
loop.c

Note You need to log in before you can comment on or make changes to this bug.